package testutils

import (
	"context"
	"testing"
)

func GetContext(t *testing.T) (context.Context, func()) {
	t.Helper()
	if t, ok := t.Deadline(); ok {
		return context.WithDeadline(context.Background(), t)
	}

	return context.WithCancel(context.Background())
}
